php-imlib_0.7-4.1_amd64.deb


Advertisement

Description

php-imlib - PHP Imlib2 Extension

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: php-imlib
Package version: 0.7
Package release: 4.1
Package architecture: amd64
Package type: deb
Installed size: 104 B
Download size: 33.10 KB
Official Mirror: ftp.br.debian.org
php_imlib is an extension for PHP5 that provides access to Rasterman's image manipulation library, Imlib2, from within PHP scripts. It currently implements most of the Imlib2 API, except for some X11-specific functions.

Alternatives

    Download

    Source package: php-imlib

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install php-imlib deb package:
      # sudo apt-get install php-imlib

    Files

    • /usr/lib/php5/20100525/imlib.so
    • /usr/share/doc/php-imlib/README
    • /usr/share/doc/php-imlib/TODO
    • /usr/share/doc/php-imlib/changelog.Debian.gz
    • /usr/share/doc/php-imlib/changelog.gz
    • /usr/share/doc/php-imlib/copyright
    • /usr/share/doc/php-imlib/examples/draw.php
    • /usr/share/doc/php-imlib/examples/flip.php
    • /usr/share/doc/php-imlib/examples/gradtest.php
    • /usr/share/doc/php-imlib/examples/scale.php
    • /usr/share/doc/php-imlib/examples/text.php
    • /usr/share/lintian/overrides/php-imlib
    • /usr/share/php/Imlib/class.ImlibCliprect.php
    • /usr/share/php/Imlib/class.ImlibColor.php
    • /usr/share/php/Imlib/class.ImlibColorRange.php
    • /usr/share/php/Imlib/class.ImlibDraw.php
    • /usr/share/php/Imlib/class.ImlibImage.php
    • /usr/share/php/Imlib/class.ImlibPoly.php
    • /usr/share/php/Imlib/class.ImlibText.php
    • /usr/share/php/Imlib/package.Imlib.php

    Changelog

    2012-07-04 - Luk Claes <luk@debian.org> php-imlib (0.7-4.1) unstable; urgency=low * Non-maintainer upload. * Remove pass by references (Closes: #658954).

    2012-03-17 - Steve Langasek <vorlon@debian.org> php-imlib (0.7-4) unstable; urgency=high * Fix FTBFS with PHP 5.4. Thanks to Lior Kaplan for the patch. Closes: #656481.

    2011-10-24 - Steve Langasek <vorlon@debian.org> php-imlib (0.7-3) unstable; urgency=low * convert to dpkg-buildflags to avoid hard-coding of policy flags and to pick up hardening flags. * further reduce debian/rules, for things that debhelper already does right by default. * Add Vcs-Bzr, Vcs-Browser fields.

    2011-04-27 - Steve Langasek <vorlon@debian.org> php-imlib (0.7-2) unstable; urgency=low * imlib.c: update for compatibility with php 5.3; thanks to Michael Bienia <michael@bienia.de> for the patch. Closes: #569118, #591530, LP: #555567. * debian/rules: don't ignore errors from make distclean. * update package section from web to php. * drop postinst script for migration from php4, no longer a concern. * Standards-Version: 3.9.2. * update suggested font packages to match what's currently available in the archive. Closes: #490036, #619722. * fix /usr/share/common-licenses reference in debian/copyright. * jump to dh.

    2007-07-06 - Steve Langasek <vorlon@debian.org> php-imlib (0.7-1) unstable; urgency=low * New upstream release * Switch to php5 for the impending removal of php4 from unstable. Closes: #418307. * Drop the debconf templates in favor of the new /etc/php5/conf.d/ structure; with apologies to the Portuguese translation team for their work on an unapplied translation. Closes: #420210.

    2006-10-18 - Steve Langasek <vorlon@debian.org> php-imlib (0.6-1) unstable; urgency=high * New upstream release - remove Microsoft Arial in favor of Vera Sans for the examples. Closes: #393660. * High-urgency upload for RC bugfix. * Add Swedish translation, thanks to Daniel Nylander (closes: #330758).

    2005-09-22 - Steve Langasek <vorlon@debian.org> php-imlib (0.5-3) unstable; urgency=low * Rebuild for the PHP ABI transition (closes: #329608). * Use the new php-config4 --phpapi option, and Build-Depend on a new enough version of php4-dev to make sure it's available. * Fix a bashism in the prerm script. * Add support for DEB_BUILD_OPTIONS=noopt, and enable debugging symbols by default; with this change, we should be compliant with Standards-Version 3.6.2.

    2005-07-07 - Steve Langasek <vorlon@debian.org> php-imlib (0.5-2) unstable; urgency=low * Add Vietnamese translation, thanks to Clytie Siddall (closes: #316820).

    2005-06-06 - Steve Langasek <vorlon@debian.org> php-imlib (0.5-1) unstable; urgency=low * New upstream release - removed duplicate third_arg_force_ref symbol, so that the build succeeds with gcc 4.0. Closes: #287912.

    2005-03-24 - Steve Langasek <vorlon@debian.org> php-imlib (0.4-3) unstable; urgency=high * Rebuild again against the latest php4-dev, which reverts the ZTS ABI.

    Advertisement
    Advertisement